<?php namespace EscapeWork\Manager\Subscribers\Commands;

use EscapeWork\Manager\Subscribers\Export\CampaignMonitorExporter;
use EscapeWork\Manager\Subscribers\Models\Subscriber;
use Illuminate\Console\Command;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;

class CampaignMonitorExportCommand extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'manager-subscribers:campaign-monitor-export';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Exporta os coontatos para o Campaign Monitor.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function fire()
    {
        try {
            $subscriber  = new Subscriber();
            $subscribers = $subscriber->getNewerSubscribers();

            $exporter = new CampaignMonitorExporter();
            $exporter->export($subscribers);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }

        $this->info('Contatos exportados com sucesso!');
    }

    /**
     * Get the console command arguments.
     *
     * @return array
     */
    protected function getArguments()
    {
        return array();
    }

    /**
     * Get the console command options.
     *
     * @return array
     */
    protected function getOptions()
    {
        return array();
    }

}