<?php namespace EscapeWork\Manager\Subscribers\Export;

use Illuminate\Database\Eloquent\Collection;
use Config;
use CS_REST_Subscribers;

class CampaignMonitorExporter implements ExporterInterface
{

    public function __construct()
    {
        $this->cm = new CS_REST_Subscribers(
            Config::get('manager-subscribers::campaignmonitor.list_id'),
            array('api_key' => Config::get('manager-subscribers::campaignmonitor.api_key'))
        );
    }

    public function export(Collection $subscribers)
    {
        $arrSubscribers = array();

        foreach ($subscribers as $subscriber) {
            $arrSubscribers[] = array(
                'EmailAddress' => $subscriber->email,
                'Name'         => $subscriber->name,
                'Resubscribe'  => false,
            );
        }

        $result = $this->cm->import($arrSubscribers, false);
    }
}