<?php namespace EscapeWork\Manager\Subscribers\Export;

use Illuminate\Database\Eloquent\Collection;
use Config;
use Mailchimp;

class MailChimpExporter implements ExporterInterface
{

    public function __construct()
    {
        $this->mailChimp = new Mailchimp(Config::get('manager-subscribers::mailchimp.api_key'));
    }

    public function export(Collection $subscribers)
    {
        foreach ($subscribers as $subscriber) {
            try {
                $this->mailChimp->lists->subscribe(
                    Config::get('manager-subscribers::mailchimp.list_id'), # mailchimp list_id
                    array('email' => $subscriber->email),
                    array(),
                    'html',
                    false,
                    true
                );
            } catch (\Exception $e) {

            }

            echo '<p>' . $subscriber->email . ' exportado</p>';
        }
    }
}