@extends('manager::layouts.master')

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.subscribers.index') }}">Contatos da Newsletter</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Contatos da Newsletter</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.subscribers.index') }}" class="btn"><i class="icon-arrow-left"></i> Voltar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ !$edit ? route('manager.subscribers.store') : route('manager.subscribers.update', $subscriber->id) }}" method="post" id="form-subscriber" class="form-horizontal" enctype="multipart/form-data">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            <div class="control-group">
                <label for="name" class="control-label">Nome</label>

                <div class="controls">
                    <input type="text" name="name" id="name" class="input-xxlarge" value="{{ $subscriber->name }}" maxlength="255" autofocus />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="email" class="control-label">E-mail</label>

                <div class="controls">
                    <input type="email" name="email" id="email" class="input-xxlarge" value="{{ $subscriber->email }}" maxlength="255" />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="gender" class="control-label">Sexo</label>

                <div class="controls">
                    <label class="radio inline">
                        <input type="radio" name="gender" value="m" {{ $subscriber->gender == 'm' ? 'checked="checked"' : null }} />
                        Masculino
                    </label>

                    <label class="radio inline">
                        <input type="radio" name="gender" value="f" {{ $subscriber->gender == 'f' ? 'checked="checked"' : null }} />
                        Feminino
                    </label>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="born_date" class="control-label">Data de nascimento</label>

                <div class="controls">
                    <div class="input-append">
                        <input type="text" name="born_date" id="born_date" class="input-medium" value="{{ !is_null($subscriber->born_date) ? date('d/m/Y', strtotime($subscriber->born_date)) : null }}" maxlength="255" data-datepicker />
                        <span class="add-on"><i class="icon-calendar"></i></span>
                    </div><!-- .input-append -->

                    <span class="help-block">dd/mm/aaaa</span>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="city" class="control-label">Cidade</label>

                <div class="controls">
                    <input type="text" name="city" id="city" class="input-xxlarge" value="{{ $subscriber->city }}" maxlength="255" />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="state" class="control-label">Estado</label>

                <div class="controls">
                    <input type="text" name="state" id="state" class="input-xxlarge" value="{{ $subscriber->state }}" maxlength="255" />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="country" class="control-label">País</label>

                <div class="controls">
                    <input type="text" name="country" id="country" class="input-xxlarge" value="{{ $subscriber->country }}" maxlength="255" />
                </div><!-- .controls -->
            </div><!-- .control-group -->
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary" value="Salvar" data-loading-text="Salvando..." />
            <a href="{{ route('manager.subscribers.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions -->
    </form>
@stop